<?php

namespace Modules\Evaluation\Rules;

use Helpers\Outil\Roles;
use Psr\Http\Message\ServerRequestInterface;

class Question
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function deleteParentDependency(): bool
    {
        if (!$this->main->questionnaireCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function createEdit(): bool
    {
        if (!$this->main->questionnaireCreatEditAccess()) {
            return false;
        }

        return true;
    }

    public function delete(): bool
    {
        if (!$this->main->questionnaireCreatEditAccess()) {
            return false;
        }

        return true;
    }


    /**
     * @return bool
     */
    public function addResponse(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function addNote(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function addExpectedAnswer(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function checkRequest(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function validate(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function reOrder(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxNoteur(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function addDependency(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ruleTypes(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function parentQuestionList(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function generateDependencyOptions(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function deleteDependency(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function ajaxNoteurObject(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function previsualiser(): bool
    {
        return true;
    }
}
